import { SimpleLocalIntegration } from '../../core/index.js';
import { LeaoneConfigFlow } from './leaone.classes.configflow.js';
import { createLeaoneDiscoveryDescriptor } from './leaone.discovery.js';
import type { ILeaoneConfig } from './leaone.types.js';
import { leaoneDomain, leaoneProfile } from './leaone.types.js';

export class LeaoneIntegration extends SimpleLocalIntegration<ILeaoneConfig> {
  public readonly domain = leaoneDomain;
  public readonly discoveryDescriptor = createLeaoneDiscoveryDescriptor();
  public readonly configFlow = new LeaoneConfigFlow();

  constructor() {
    super(leaoneProfile);
  }
}
